Subject: Re: bug#59087: 29.0.50; package-vc-update error

From: Philip Kaludercic <[email-masked]>
Date: Wed, 16 Nov 2022 12:20:23 +0000

Feng Shu <[email-masked]> writes:

> Philip Kaludercic <[email-masked]> writes:
>
>> Feng Shu <[email-masked]> writes:
>>
>>> package-vc-prepare-patch seem to run in wrong directory:
>>
>> This and the other two issues should be fixed on the branch.  Note that
>> I have updated it and rebased it onto master, so you might need to do a
>> reset.
>
> Good job, I do not test new code today, but I have a question:
> If I run package-vc-install pyim, then I run
> package-vc-install-from-checkout /path/to/pyim.git, what will happened?

I would expect an error to be raised, because the basename ("pyim")
would already have a directory entry in ~/.emacs.d/elpa/.  Currently
this is a generic file error, we could replace it with something else,
e.g. a user-error that indicates that the name is already used.